function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import { transparentize } from '../../utils';
import COLORS from '../colors';
var boxShadowColor = '#2d2d30';
var boxShadowOverlayColor = '#505050';
var BASE_CONFIG = {
  clickable: "0 1px 3px 0 ".concat(transparentize(boxShadowColor, 0.06)),
  clickableHover: "0 1px 3px 0 ".concat(transparentize(boxShadowColor, 0.15)),
  message: "0 12px 20px 0 ".concat(transparentize(boxShadowColor, 0.05)),
  focusSecondary: "0 0 2px 2px ".concat(transparentize(COLORS.secondary, 0.5))
};
var OLD_BASE_CONFIG = {
  boxShadow1: "0 12px 20px 0 ".concat(transparentize(boxShadowColor, 0.05)),
  boxShadow2: "0 5px 11px 0 ".concat(transparentize(boxShadowColor, 0.1)),
  boxShadow3: "0 4px 6px 0 ".concat(transparentize(boxShadowColor, 0.15)),
  boxShadow4: "0 1px 3px 0 ".concat(transparentize(boxShadowColor, 0.15)),
  boxShadow5: "0 1px 2px 0 ".concat(transparentize(boxShadowColor, 0.06)),
  boxShadowOnOverlay: "0 12px 20px 0 ".concat(boxShadowOverlayColor)
};
var DESIGN_SYSTEM_NAMING = {
  elevation2: OLD_BASE_CONFIG.boxShadow5,
  elevation3: OLD_BASE_CONFIG.boxShadow4,
  elevation6: OLD_BASE_CONFIG.boxShadow3,
  elevation11: OLD_BASE_CONFIG.boxShadow2,
  elevation20: OLD_BASE_CONFIG.boxShadow1
};
var ALIASED_CONFIG = {
  card: OLD_BASE_CONFIG.boxShadow4
};
export default _objectSpread({}, BASE_CONFIG, OLD_BASE_CONFIG, DESIGN_SYSTEM_NAMING, ALIASED_CONFIG);